<?php

declare(strict_types=1);

use Symfony\Component\DependencyInjection\Loader\Configurator\ContainerConfigurator;

return static function (ContainerConfigurator $containerConfigurator): void {
    $services = $containerConfigurator->services();

    $services->set('EasyCorp\EasyLog\EasyLogHandler')
        ->private()
        ->args(['%kernel.logs_dir%/%kernel.environment%.log']);
};
